Package org.eclipse.rdf4j.spring.dao.support.opbuilder

## Class OperationBuilder<T extends Operation,​SUB extends OperationBuilder<T,​SUB>>

- java.lang.Object
- - org.eclipse.rdf4j.spring.dao.support.opbuilder.OperationBuilder<T,​SUB>

- Direct Known Subclasses:
    `GraphQueryEvaluationBuilder`, `TupleQueryEvaluationBuilder`, `UpdateExecutionBuilder`

      public class OperationBuilder<T extends Operation,​SUB extends OperationBuilder<T,​SUB>>
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OperationBuilder​(T operation, RDF4JTemplate template)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Map<String,​Value>` | `getBindings()` |
    `protected T` | `getOperation()` |
    `protected RDF4JTemplate` | `getRdf4JTemplate()` |
    `SUB` | `withBinding​(String key, Boolean value)` |
    `SUB` | `withBinding​(String key, Double value)` |
    `SUB` | `withBinding​(String key, Float value)` |
    `SUB` | `withBinding​(String key, Integer value)` |
    `SUB` | `withBinding​(String key, String value)` |
    `SUB` | `withBinding​(String key, IRI value)` |
    `SUB` | `withBinding​(String key, Value value)` |
    `SUB` | `withBinding​(Variable key, Boolean value)` |
    `SUB` | `withBinding​(Variable key, Double value)` |
    `SUB` | `withBinding​(Variable key, Float value)` |
    `SUB` | `withBinding​(Variable key, Integer value)` |
    `SUB` | `withBinding​(Variable key, String value)` |
    `SUB` | `withBinding​(Variable key, IRI value)` |
    `SUB` | `withBindings​(Consumer<BindingsBuilder> consumer)` |
    `SUB` | `withBindings​(Map<String,​Value> bindings)` |
    `SUB` | `withNullableBindings​(Map<String,​Value> bindings)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationBuilder

          public OperationBuilder​(T operation,
                                  RDF4JTemplate template)

  - ### Method Detail

    - #### getOperation

          protected T getOperation()

    - #### getRdf4JTemplate

          protected RDF4JTemplate getRdf4JTemplate()

    - #### getBindings

          protected Map<String,​Value> getBindings()

    - #### withBinding

          public SUB withBinding​(Variable key,
                                 IRI value)

    - #### withBinding

          public SUB withBinding​(String key,
                                 IRI value)

    - #### withBinding

          public SUB withBinding​(Variable key,
                                 String value)

    - #### withBinding

          public SUB withBinding​(String key,
                                 String value)

    - #### withBinding

          public SUB withBinding​(Variable key,
                                 Integer value)

    - #### withBinding

          public SUB withBinding​(String key,
                                 Integer value)

    - #### withBinding

          public SUB withBinding​(Variable key,
                                 Boolean value)

    - #### withBinding

          public SUB withBinding​(String key,
                                 Boolean value)

    - #### withBinding

          public SUB withBinding​(Variable key,
                                 Float value)

    - #### withBinding

          public SUB withBinding​(String key,
                                 Float value)

    - #### withBinding

          public SUB withBinding​(Variable key,
                                 Double value)

    - #### withBinding

          public SUB withBinding​(String key,
                                 Double value)

    - #### withBinding

          public SUB withBinding​(String key,
                                 Value value)

    - #### withBindings

          public SUB withBindings​(Map<String,​Value> bindings)

    - #### withNullableBindings

          public SUB withNullableBindings​(Map<String,​Value> bindings)

    - #### withBindings

          public SUB withBindings​(Consumer<BindingsBuilder> consumer)